org.eclipse.aether.internal.impl

## Class DefaultOfflineController

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultOfflineController

- All Implemented Interfaces:
    OfflineController, Service

      @Named
      @Component(role=OfflineController.class)
      public class DefaultOfflineController
      extends Object
      implements OfflineController, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOfflineController()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOffline(RepositorySystemSession session, RemoteRepository repository)` Determines whether the specified repository is accessible according to the offline policy of the given session.
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `DefaultOfflineController` | `setLoggerFactory(LoggerFactory loggerFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultOfflineController

          public DefaultOfflineController()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultOfflineController setLoggerFactory(LoggerFactory loggerFactory)

    - #### checkOffline

          public void checkOffline(RepositorySystemSession session,
                          RemoteRepository repository)
                            throws RepositoryOfflineException

      Description copied from interface: `OfflineController`
      Determines whether the specified repository is accessible according to the offline policy of the given session.
      Specified by:
        `checkOffline` in interface `OfflineController`
      Parameters:
        `session` - The repository session during which the check is made, must not be `null`
        `repository` - The remote repository to check for accessibility, must not be `null`.
      Throws:
        `RepositoryOfflineException` - If the session forbids access to the repository.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.